Python script problem with sweep2
Hey, guys! I have problems with the sweep2 command in python script. Pic 1 shows my idea to generate the model with the sweep2 and the command I used is “rs.AddSweep2([arc_guide1, guideline1], shapes,...
View ArticleCorrect Points for Dimension in Layout View
Hi there, I am currently working on a script to automate layout generation, cause I have a lot files to process. Now I am a bit stuck with the dimensions. I want to add them on the layout view, but I...
View ArticleGrasshoper freeze when use while function
Hello, i tried to use UDP listener with Ghpython but always Grasshopper freezes. that happened always when i use while function, what is the problem ? import socket UDP_ip = "192.168.1.0" UDP_port =...
View ArticleDocumentation for ghpythonlib?
Hi I am really new to this, but where can I find the documentation for ghpythonlib online? Like today, I am trying to understand the ghpythonlib.treehelpers but having some problems with finding...
View ArticleRhino python orientation icon overwrite
(topic withdrawn by author, will be automatically deleted in 24 hours unless flagged) 1 post - 1 participant Read full topic
View ArticleLines in Python
Hi! i wonder if someone knows how to define a line using Python script with out drawing it. In other word i need to define a line for may calculation. But I do not like to add it into the graphic...
View ArticleAttempting to make a script to move an object a set number of units away from...
I am trying to figure out how to write a script to move one object a specified distance away from another object but I cant quite figure out how to do it. I am very green to scripting and figured this...
View ArticleObject name to Text Object
Hi all! Is there any way to create Text objects that automatically use the Object name? I’ve been trying to script this in Rhinoscript but nothing seems to work at this point. I’ve looked in...
View ArticleAngle Between WorldXYPlane and Surface
Hi, I’m looking for a way to calculate the angle between a surface and the WorldXYPlane. Does anything exist where one could either select the surface or pass it’s GUID to a function that returns the...
View ArticleHow to reselected curves Create Planar Breps?
I create planar breps with closed curves. How i can reselected them? import rhinoscriptsyntax as rs import scriptcontext as sc import Rhino import math def CrtBep(crvs): curves =...
View ArticleClose an open surface made from an offset closed surface
I had a closed surface shaped like a bowl but with circular openings at the top and bottom. The seam runs from one opening to the other so it’s essentially a cylinder with the seam running from the...
View ArticleDividing curve with unequal distances in with Python
Hi! I’m trying to figure out a way to divide an arc/curve into different length pieces (or adding points to a curve in specific order). The information I need from this is the points where the...
View ArticleHow to get WxPython?
I do not see WPython or PythonQt in the importable modules. Is there a way to get a GUI panel with some checkboxes and buttons? 7 posts - 4 participants Read full topic
View ArticleHow to access layout user text
Hi! Is there a way in Python to access a layout user text in Rhino WIP? 1 post - 1 participant Read full topic
View ArticleScripting a truncated cone with Python
Maybe I’m just blind, but I can’t find a method for creating a truncated cone like this: The AddCone method always creates a cone to a point, and I’m sure it’s easy enough to chop that point off at a...
View ArticlePython - Fully Setting up DimStyles
Few issues here. One I don’t see a full list of attributes that I need to edit, where can I find that? Second I get the below error that appears to catch a bug as far as I can tell… Thx in advance...
View ArticlePython data trees
Hello, I’ve been trying to clear the data tree for about 2 days now, just flatten or whatever, but nothing works I’ve already tried everything, even GH_Convert (( 2 posts - 2 participants Read full...
View ArticleDrawing Interpcrv to Polyline without ending commands
Hi, is there a quick way to jump between Interpcrv and PL? Say I’m drawing something curved with interpcrv but then want to draw a fully straight segment and back to interpcrv after? Currently, I have...
View ArticleC# question
Hello how i can use this code with c# component? public void StartListener() { bool done = false; UdpClient listener = new UdpClient(listenPort); IPEndPoint groupEP = new IPEndPoint(IPAddress.Any,...
View ArticleDataTree poulated with geometrical data in a loop results in significant slow...
Recently stumbled into an interesting effect in Grasshopper while developing a component for parametric definition of numerical models. To easily access outputs of the code within the grasshopper I...
View Article